ru.bitel.bgbilling.kernel.event.events

## Class ContractDeleteObjectEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.events.ContractDeleteObjectEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractDeleteObjectEvent
      extends QueueEvent

  Асинхронное событие - удаление объекта договора.
  Вызывается после удаления объекта договора.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractDeleteObjectEvent()`
    `` | `ContractDeleteObjectEvent(int userId, ContractObject obj)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractObject` | `getContractObject()` Возвращает удаленный объект договора.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractDeleteObjectEvent

          protected ContractDeleteObjectEvent()

    - #### ContractDeleteObjectEvent

          public ContractDeleteObjectEvent(int userId,
                                           ContractObject obj)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `obj` - - удаленный объект договора

  - ### Method Detail

    - #### getContractObject

          public ContractObject getContractObject()

      Возвращает удаленный объект договора.
      Returns:
        Payment cobj - объект договора